VisualEditor: Re-using references isn't working very well
Closed, DeclinedPublic

Description

Incident #1:

Add a reference. Try to re-use it. It's not in the list at all.

Incident #2:

Add a reference using the Cite tool. Try to re-use it. It's not in the list at all. Add a plain <references /> block (rather than {{reflist}}). Go back and try to re-use it. Now it's there.

Incident #3:

Add a reference. Try to re-use it. Only the number ("[1]") is present in the references list; the old refs are all listed correctly. Cancel and go look at the new ref to make sure that it actually has contents. Try to re-use it again. Now the full description appears. (Perhaps it was just being slow? Perhaps it needed something else to trigger it?)

(All of these happened in Firefox.)


Version: unspecified
Severity: normal

bzimport added a project: VisualEditor.Via ConduitNov 22 2014, 3:11 AM
bzimport set Reference to bz66629.
Whatamidoing-WMF created this task.Via LegacyJun 14 2014, 11:50 PM
Krenair added a comment.Via ConduitNov 1 2014, 2:25 AM

Why are there three bugs in one here? Is any of this still valid? Were you trying to use templates instead of the proper references tag in #1 and #3 as well?

Whatamidoing-WMF added a comment.Via ConduitNov 1 2014, 2:34 AM

I don't think that these are actually three bugs: I think they are all the same problem, which is that (what is now) Cite > Re-use did not correctly produce a list of existing citations.

I believe that this was resolved a couple of months ago, in some related work. I haven't encountered this myself or heard any complaints about it for a long while. The correct status is probably resolved/duplicate.

Krenair added a comment.Via ConduitNov 1 2014, 2:54 AM

Let's leave this as worksforme unless someone can find another bug to mark it as a duplicate of.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.